Skip to main content
Adobe Photoshop Family

35 Messages

 • 

2.6K Points

Wed, Mar 7, 2012 12:22 PM

Lightroom: Edit In External Editor does not work/function

I can not send images from LR4 to any external editor via Photo>Edit In. My system is Mac OS 10.7.3. Using the Edit In command fails to open the external editor and no error message results. This occurs whether the images have the 2012 Process Version applied or not. My external editors are primarily PSE10 and Nik Silver Efex Pro 2.0. This is an important part of my workflow.

I have reinstalled PSE10 and updated to the newest version of Silver Efex Pro.

Responses

Official Solution

14.6K Messages

 • 

282.6K Points

8 years ago

Lightroom 4.1 is now available on Adobe Labs:

http://labs.adobe.com/technologies/li...

Includes a fix for this issue, plus several other top issues and includes 5D Mk III support:

http://labs.adobe.com/technologies/li...

6 Messages

 • 

120 Points

Downloaded this but does not solve the problem! Still can not "edit in" Elements in LR 4. Not even mentioning NIK plug ins!

19 Messages

 • 

330 Points

Same here. Ik cannot see my NIK plugins.
Is there something more we need to do to get it working?
Can somebody from Adobe give some instructions?

Btw. I'm on a Mac with everything the latest version. I did install the trial version of Photoshop, but that didn't help me.

15 Messages

 • 

352 Points

Jeffrey Jeffrey Jeffrey - it just doesnt work. The Adobe plot is well and truly lost...

Official Solution

14.6K Messages

 • 

282.6K Points

8 years ago

Note: If you're setting Photoshop Elements up as an External Editor, make sure you choose the "Photoshop Elements Editor" not the alias for Photoshop Elements (which launches the welcome screen):

35 Messages

 • 

2.6K Points

9 years ago

I thought I would mention that this issue (or at least very closely related) is being reported by many users in the Adobe Forum, here:

http://forums.adobe.com/thread/971432...

I failed to mention earlier is that this issue did not exist with the LR4 Beta - I was able to send to a variety of external editors from there. I also trashed the LR preferences and tried running on a clean user account, both to no avail.

35 Messages

 • 

2.6K Points

9 years ago

Well, I may be talking to myself here but here is another (probably more related) thread at the Adobe forum where users are talking about this issue:

http://forums.adobe.com/message/42516...

5 Messages

 • 

154 Points

9 years ago

NIK plugins are not working anymore. LR4 with MAC 10.7.3 and complete collection of NIK.

It was still OK in the BETA version but the final release does not work. The plugin's still show up in " edit photo in xxxx" but nothing happens.

I tried to re-install the plugin but during installation it only sees the LR3 program but not LR4.

Only the export to HDR plugin works

I use the complete collection of the NIK plugin. Bought 3 months ago.
I use MAC 10.7.3

hope this can be fixed soon

This reply was created from a merged topic originally titled
Lightroom: NIK plugins are not working in Lightroom 4.

4 Messages

 • 

90 Points

I have experienced the exact same thing--which is, somewhat of a relief, at least. Glad Adobe is fixing, soon!

3 Messages

 • 

124 Points

9 years ago

Edit in PSCS5 causes this error message:

Unexpected error performing command: bad argument #1 to 'lower' (string expected, got nil)

And searching through various threads and forums the best I can find is this thread (which is closed for comment) http://forums.adobe.com/message/42492... but reinstalling PS doesn't seem like a reasonable solution for a bug in LR4.
Any fixes coming?

This reply was created from a merged topic originally titled
Lightroom: LR4 Edit in error "bad argument #1 to 'lower' (string expected, got nil)".

2 Messages

 • 

82 Points

9 years ago

Lightroom 4 does not support the latest NIK plugins that worked on the LR4 beta. When Can I expect a fix for this ridiculous problem? I have cancelled my order for LR4 since it is UNUSABLE in its current state.

This reply was created from a merged topic originally titled
Up-to-date NIK plugins not supported in LR4.

5 Messages

 • 

154 Points

9 years ago

What I do not understand is that it works in the Beta version. When i re-install the beta version all works fine.

Something went wrong on the way when preparing the final LR4 version I guess.

For sure the NIK plugins are supported in LR4. This is because NIK almost instantly updated their pug ins.

You can see this when installing an older version of a NIK plugin. in that case it will only see the LR3 version in the install window. After installing the latest plugin of NIK it sees LR3 + LR4 in the install window.

I also ordered the LR4 software. And indeed if they do not fix it then it is useless and I will return the box and ask for refund.

For sure it will not get that far. (I hope)

I'm running LR4 on a MAC pro with Lion 10.7.3

regards
andre

14.6K Messages

 • 

282.6K Points

9 years ago

Hi guys,

The team is investigating this issue to provide some guidance soon. Thanks for your patience and reporting this issue.

35 Messages

 • 

2.6K Points

Thanks. It is reassuring to know that this was the appropriate avenue to report the problem and that the team is working on it. Much appreciated.

1 Message

 • 

62 Points

Any news yet?!

1 Message

 • 

62 Points

Any chance of an update as to when a fix will be available?

1 Message

 • 

68 Points

I was on the phone today with tech support for 45 minutes trying to figure out the exact same problem with my elements 10. They said they have passed the information on to the engineers, gave me a case #, and said to keep checking it for information. Hope it happens quickly.

23 Messages

 • 

328 Points

any updates??

11 Messages

 • 

220 Points

9 years ago

A variant to this problem for me is that I can "edit in" PSCS5 as before but the file opens without any LR corrections applied. IOW just as it was imported.

My workaround is to export the files I wish to edit and then re-import them into LR.

Mac 10.6.8

2 Messages

 • 

182 Points

9 years ago

For me too. Nothing working in Edit in (PS CS5, Nik, etc.). Version in Portuguese (editar em)

2 Messages

 • 

92 Points

9 years ago

I have this problem myself. Am anxiously awaiting the fix. How long will it take?

Mac 10.7.3

3 Messages

 • 

256 Points

9 years ago

I cannot use any external editor in lightroom 4, I receive an error dialog with the following message:

Unexpected error performing command:
bad argument #1to 'lower' (string expected, got nil)

This worked fine in LR 3, since the upgrade to 4 I have started receiving this error message

This reply was created from a merged topic originally titled
Cannot use any external editor with Lightroom 4.

23 Messages

 • 

328 Points

9 years ago

Waiting for the fix, no response from adobe??
cheers
my Observations I have made are these ...

There seems to be a missing component or even probably a 32bit compiled version for the 64 bit editions or some error in that component in the external plugin area of final LR4;
which can be healed with installing CS5 or PSE

/K

3 Messages

 • 

256 Points

9 years ago

I'd be happy if the bug fix was to give all LR users a free copy of CS5 :D